"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _default = {
  "extends": ['@commitlint/config-conventional', '@commitlint/parse'],
  formatter: '@commitlint/format',
  rules: {
    'header-max-length': [2, 'always', 50],
    'subject-case': [2, 'always', 'sentence-case'],
    'type-enum': [2, 'always', ['style', 'perf', 'prune', 'fix', 'quickfix', 'feature', 'docs', 'deploy', 'ui', 'init', 'test', 'security', 'osx', 'linux', 'windows', 'android', 'ios', 'release', 'lint', 'wip', 'fix-ci', 'downgrade', 'upgrade', 'pushpin', 'ci', 'analytics', 'refactoring', 'docker', 'dep-add', 'dep-rm', 'config', 'i18n', 'typo', 'poo', 'revert', 'merge', 'dep-up', 'compat', 'mv', 'license', 'breaking', 'assets', 'review', 'access', 'docs-code', 'beer', 'texts', 'db', 'log-add', 'log-rm', 'contrib-add', 'ux', 'arch', 'responsive', 'mock', 'egg', 'gitignore', 'snapshot', 'experiment', 'seo', 'k8s', 'types', 'seed', 'flags', 'animation']]
  },
  parserPreset: {
    parserOpts: {
      // eslint-disable-next-line prefer-named-capture-group
      headerPattern: /^([0-9A-Z_a-z]*)(?:\(([0-9A-Z_a-z]*)\))?!?: ((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]) )?((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*)$/,
      headerCorrespondence: ['type', 'scope', 'emoji', 'subject']
    }
  }
};
exports["default"] = _default;
module.exports = exports.default;